Subject: bug#30106: Loading file /sources/emacs/lisp/emacs-lisp/ert.elc failed to provide feature `mod-test'

From: Eli Zaretskii <[email-masked]>
Date: Wed, 17 Jan 2018 20:25:51 +0200

> Date: Wed, 17 Jan 2018 20:03:10 +0300
> From: Jean Louis <[email-masked]>
> Cc: [email-masked]
> 
> > Apply the patch below, rebuild Emacs, rerun the test, and see if
> > there's the telltale "current_thread is NULL"
> > message in the log.
> 
> I have done that, I did not see during "make
> check" the line "current_thread is NULL", and I am
> attaching the output from "make check".

Then I'm not sure what's going on there.  Is HAVE_PTHREAD defined in
src/config.h?

Does anyone else on this list see anything similar?